Page MenuHomePhabricator

[clang-tidy] Add a close-on-exec check on epoll_create() in Android module.
ClosedPublic

Authored by yawanng on Jul 13 2017, 10:42 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

yawanng created this revision.Jul 13 2017, 10:42 AM
yawanng retitled this revision from Add a close-on-exec check on epoll_create() in Android module. to [clang-tidy] Add a close-on-exec check on epoll_create() in Android module..Jul 13 2017, 10:54 AM
yawanng edited the summary of this revision. (Show Details)
yawanng edited the summary of this revision. (Show Details)Jul 13 2017, 11:01 AM
Eugene.Zelenko edited reviewers, added: alexfh, aaron.ballman, hokein; removed: chh.Jul 13 2017, 11:19 AM
Eugene.Zelenko set the repository for this revision to rL LLVM.
Eugene.Zelenko added a subscriber: cfe-commits.
chh added a subscriber: chh.Jul 13 2017, 11:59 AM
Eugene.Zelenko added inline comments.
docs/ReleaseNotes.rst
60 ↗(On Diff #106460)

Please sort checks in alphabetical order.

yawanng updated this revision to Diff 106539.Jul 13 2017, 2:52 PM
yawanng marked an inline comment as done.
alexfh requested changes to this revision.Jul 15 2017, 1:24 AM

See the comment on D35372.

This revision now requires changes to proceed.Jul 15 2017, 1:24 AM
yawanng updated this revision to Diff 110650.Aug 10 2017, 4:35 PM
yawanng edited edge metadata.
yawanng updated this revision to Diff 110751.Aug 11 2017, 10:02 AM
alexfh accepted this revision.Aug 16 2017, 8:30 AM

LG with a nit.

clang-tidy/android/CloexecEpollCreateCheck.cpp
27–31 ↗(On Diff #110751)

nit: Please remove argument comments, they don't add any useful information.

This revision is now accepted and ready to land.Aug 16 2017, 8:30 AM
This revision was automatically updated to reflect the committed changes.
chh added inline comments.Aug 16 2017, 11:04 AM
clang-tidy/android/CloexecEpollCreateCheck.cpp
27–31 ↗(On Diff #110751)

Done.